com.sun.grid.jgdi.configuration

## Interface Configuration

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ConfigurationImpl

      public interface Configuration
      extends GEObject

  Java representation of the cull object CONF_Type defined in sge_all_listsL.template

  Warning: The Configuration class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntries(ConfigurationElement aentries)` Add a com.sun.grid.jgdi.configuration.ConfigurationElement attribute.
    `java.lang.String` | `dump()`
    `ConfigurationElement` | `getEntries(int index)` Get a com.sun.grid.jgdi.configuration.ConfigurationElement attribute at an index.
    `int` | `getEntriesCount()` Get the number of com.sun.grid.jgdi.configuration.ConfigurationElement attributes.
    `java.util.List<ConfigurationElement>` | `getEntriesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ConfigurationElement attributes.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `boolean` | `isSetEntries()` Determine if any entries attribute is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `void` | `removeAllEntries()` Remove all com.sun.grid.jgdi.configuration.ConfigurationElement attributes.
    `boolean` | `removeEntries(ConfigurationElement aentries)` Remote a specific com.sun.grid.jgdi.configuration.ConfigurationElement attribute.
    `ConfigurationElement` | `removeEntries(int index)` Remote a com.sun.grid.jgdi.configuration.ConfigurationElement attribute at an index.
    `void` | `setEntries(int index, ConfigurationElement aentries)` Set a com.sun.grid.jgdi.configuration.ConfigurationElement attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### getEntriesList

          java.util.List<ConfigurationElement> getEntriesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ConfigurationElement attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ConfigurationElement attributes

    - #### getEntriesCount

          int getEntriesCount()

      Get the number of com.sun.grid.jgdi.configuration.ConfigurationElement attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ConfigurationElement attributes.

    - #### getEntries

          ConfigurationElement getEntries(int index)

      Get a com.sun.grid.jgdi.configuration.ConfigurationElement attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ConfigurationElement attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ConfigurationElement attribute

    - #### addEntries

          void addEntries(ConfigurationElement aentries)

      Add a com.sun.grid.jgdi.configuration.ConfigurationElement attribute.
      Parameters:
        `aentries` - the new com.sun.grid.jgdi.configuration.ConfigurationElement attribute

    - #### setEntries

          void setEntries(int index,
                          ConfigurationElement aentries)

      Set a com.sun.grid.jgdi.configuration.ConfigurationElement attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ConfigurationElement attribute
        `aentries` - the new com.sun.grid.jgdi.configuration.ConfigurationElement attribute

    - #### removeAllEntries

          void removeAllEntries()

      Remove all com.sun.grid.jgdi.configuration.ConfigurationElement attributes.

    - #### removeEntries

          ConfigurationElement removeEntries(int index)

      Remote a com.sun.grid.jgdi.configuration.ConfigurationElement attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ConfigurationElement attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ConfigurationElement attribute or `null` if no attribute at this index is stored

    - #### removeEntries

          boolean removeEntries(ConfigurationElement aentries)

      Remote a specific com.sun.grid.jgdi.configuration.ConfigurationElement attribute.
      Parameters:
        `aentries` - the com.sun.grid.jgdi.configuration.ConfigurationElement attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ConfigurationElement attribute has been removed

    - #### isSetEntries

          boolean isSetEntries()

      Determine if any entries attribute is set
      Returns:
        `true` if the entries attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.